ALTER AGGREGATE(7)

NAME
ALTER AGGREGATE - change the definition of an aggregate function

SYNOPSIS

ALTER AGGREGATE name ( type ) RENAME TO newname

DESCRIPTION

ALTER AGGREGATE changes the definition of an aggregate function. The only currently available functionality is to rename the aggregate function.

PARAMETERS

name
    The name (optionally schema-qualified) of an existing aggregate function.

type
    The argument data type of the aggregate function, or * if the function accepts any data type.

newname
    The new name of the aggregate function.

EXAMPLES

To rename the aggregate function myavg for type integer to my_average:

ALTER AGGREGATE myavg(integer) RENAME TO my_average;

COMPATIBILITY

There is no ALTER AGGREGATE statement in the SQL standard.

SEE ALSO
CREATE AGGREGATE [create_aggregate(7)], DROP AGGREGATE [drop_aggregate(l)]